spark-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Xiangrui Meng <men...@gmail.com>
Subject Re: Classpath errors with Breeze
Date Mon, 09 Jun 2014 05:16:52 GMT
Hi dlaw,

You are using breeze-0.8.1, but the spark assembly jar depends on
breeze-0.7. If the spark assembly jar comes the first on the classpath
but the method from DenseMatrix is only available in breeze-0.8.1, you
get NoSuchMethod. So,

a) If you don't need the features in breeze-0.8.1, do not include it
as a dependency.

or

b) Try an experimental features by turning on
spark.files.userClassPathFirst in your Spark configuration.

Best,
Xiangrui

On Sun, Jun 8, 2014 at 10:08 PM, dlaw <dieterich.lawson@gmail.com> wrote:
> Thanks for the quick response. No, I actually build my jar via 'sbt package'
> on EC2 on the master itself.
>
>
>
> --
> View this message in context: http://apache-spark-user-list.1001560.n3.nabble.com/Classpath-errors-with-Breeze-tp7220p7225.html
> Sent from the Apache Spark User List mailing list archive at Nabble.com.

Mime
View raw message